# Generated from rake-protect-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake-protect

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Protect from raising an exception when requiring unavailable gems in Rakefile
License: MIT
URL: https://gitlab.com/mtuchowski/rake-protect
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.6
BuildRequires: ruby >= 2.3.8
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.47
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.5
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(reek) >= 3.11
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rake) >= 1.0
# BuildRequires: rubygem(guard-rake) < 2
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(listen) >= 3.0
# BuildRequires: rubygem(listen) < 4
# BuildRequires: rubygem(simplecov) >= 0.13
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-console) >= 0.4
# BuildRequires: rubygem(simplecov-console) < 1
# BuildRequires: rubygem(simplecov-json) >= 0.2
# BuildRequires: rubygem(simplecov-json) < 1
BuildArch: noarch

%description
When some gems are unavailable in an environment, for example on a
production server, requiring
them in a Rakefile will cause LoadError to be thrown. Wrap the require and
task declaration
in Rake.protect block to prevent that.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.1-1
- Initial package
